View Issue Details

IDProjectCategoryView StatusLast Update
0005588GNUnetGNSpublic2019-02-28 11:17
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityurgentSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005588: gns/test_proxy.sh started to fail
Descriptione is 65537 (0x010001)
writing RSA key
Signature ok
subject=C = DE, O = GNUnet, OU = GNS, CN = test.local
Getting Private key
Signature ok
subject=C = DE, O = GNUnet, OU = GNS, CN = test.local
Getting Private key
Feb 19 16:47:55-031143 hostlist-105962 WARNING Download of hostlist from `http://v10.gnunet.org/hostlist' failed: `HTTP response code said error'
Failed to create ego: identifier already in use for another ego
Feb 19 16:47:55-150050 gnunet-gns-proxy-106006 ERROR Unable to import certificate from `/tmp/proxy_cacert.pem'
Feb 19 16:47:55-150090 gnunet-gns-proxy-106006 ERROR Failed to load X.509 key and certificate from `/tmp/proxy_cacert.pem'
Feb 19 16:47:56-166690 gnunet-gns-proxy-test-106007 ERROR Beginning HTTP download from `https://www.test:8443/hello_world'
curl_multi_perform failed at test_gns_proxy.c:305: `Couldn't connect to server'
Feb 19 16:47:56-169512 gnunet-gns-proxy-test-106007 ERROR Assertion failed at test_gns_proxy.c:316.
Feb 19 16:47:56-169529 gnunet-gns-proxy-test-106007 ERROR Assertion failed at test_gns_proxy.c:321.
Feb 19 16:47:56-169539 gnunet-gns-proxy-test-106007 ERROR Assertion failed at scheduler.c:1009. Aborting.
./test_proxy.sh: line 40: 106007 Aborted (core dumped) ./test_gns_proxy -A /tmp/proxy_cacert.pem -S /tmp/server_cacert.pem -p 8443 -c test_gns_proxy.conf
Feb 19 16:47:56-176058 set-api-105959 ERROR Handling client set error 1
Failed
FAIL test_proxy.sh (exit status: 1)
TagsNo tags attached.

Activities

ng0

2019-02-19 17:32

developer   ~0013888

Please test again with the newest revision.

Christian Grothoff

2019-02-20 10:26

manager   ~0013895

Passes now again (with additional fixes...).

Issue History

Date Modified Username Field Change
2019-02-19 17:03 Christian Grothoff New Issue
2019-02-19 17:03 Christian Grothoff Status new => assigned
2019-02-19 17:03 Christian Grothoff Assigned To => ng0
2019-02-19 17:32 ng0 Note Added: 0013888
2019-02-19 17:32 ng0 Assigned To ng0 => Christian Grothoff
2019-02-20 10:26 Christian Grothoff Status assigned => resolved
2019-02-20 10:26 Christian Grothoff Resolution open => fixed
2019-02-20 10:26 Christian Grothoff Fixed in Version => 0.11.0
2019-02-20 10:26 Christian Grothoff Note Added: 0013895
2019-02-28 11:17 Christian Grothoff Status resolved => closed